Subject: RE: [Idr] comment on draft-ietf-idr-as4bytes-10.txt

From: "Susan Hares" <[email-masked]>
Date: Sun, 21 Aug 2005 11:01:52 -0600

Russ:

Ok - that option requires extended communities - another overloading of
syntax. 

Did you ever answer his original concept - that we should create a "new
AS path" attribute?

Sue

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of
Russ White
Sent: Friday, August 19, 2005 11:23 AM
To: [email-masked]; Inter-Domain Routing List
Subject: Re: [Idr] comment on draft-ietf-idr-as4bytes-10.txt

Another option is to store the path in extended communities, as in 
draft-ward...

:-)

Russ

Paul Jakma wrote:
> Hi,
> 
> Some comments regarding your draft-ietf-idr-as4bytes-10.txt text:
> 
> I am curious why you chose to overload the syntax of the existing 
> AS_PATH attribute according to whether two peers are or are not 4byte 
> ASN capable?
> 
> My primary concern of this aspect of the draft is that it will become 
> impossible to parse AS_PATH without external reference. This would
have 
> implications for protocol analysers which are asked to observe a BGP 
> session in mid-flow (they'll have no way of parsing AS_PATH) and also 
> for 'old' analysers which are asked to observe a session between new 
> peers (at best, such an analyser would produce syntactically incorrect

> results), as well as implications for modularity of code in BGP 
> implementations.
> 
> Would it maybe be better to leave the syntax of AS_PATH alone and
simply 
> mandate NEW_AS_PATH be used for 4byte ASN and AS_PATH for 2byte (you 
> could even make AS_PATH optional and NEW_AS_PATH well-known between
new 
> speakers, so that AS_PATH slowly dies out during the transition
period)?
> regards,

- -- 
[email-masked] CCIE <>< Grace Alone

_______________________________________________
Idr mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/idr

_______________________________________________
Idr mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/idr

---

From: Paul Jakma <[email-masked]>
Date: Sun, 21 Aug 2005 18:10:51 +0100 (IST)

> Did you ever answer his original concept - that we should create a "new

Well, the draft as it stands /does/ create a NEW_AS_PATH, but only 
for purpose of propogating 4byte ASNs across OLD speakers. Between 
NEW speakers the existing AS_PATH type is used, but overloaded to 
4byte format.

I'd rather simply see AS_PATH stay 2 byte and NEW_AS_PATH always used 
for 4byte. I'm hacking on the draft at moment to reflect this opinion 
of mine ;).

regards,
-- 
Paul Jakma	[email-masked]	[email-masked]	Key ID: 64A2FF6A
Fortune:
Someone thought The Big Red Button was a light switch.